Debian Bug report logs - #437289
FTBFS(alpha): wrong type argument to unary exclamation mark

version graph

Package: gnupg2; Maintainer for gnupg2 is Eric Dorland <eric@debian.org>; Source for gnupg2 is src:gnupg2.

Reported by: Falk Hueffner <falk@debian.org>

Date: Sat, 11 Aug 2007 13:39:01 UTC

Severity: serious

Found in version gnupg2/2.0.5-1

Fixed in version gnupg2/2.0.6-1

Done: Eric Dorland <eric@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.g10code.com/gnupg/issue822

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#437289; Package gnupg2. Full text and rfc822 format available.

Acknowledgement sent to Falk Hueffner <falk@debian.org>:
New Bug report received and forwarded. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Falk Hueffner <falk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS(alpha): wrong type argument to unary exclamation mark
Date: Sat, 11 Aug 2007 15:36:03 +0200
Package: gnupg2
Version: 2.0.5-1
Severity: serious
Justification: no longer builds from source

[...]
gcc -DHAVE_CONFIG_H -I. -I..  -I../gl -I../intl -DLOCALEDIR=\"/usr/share/locale\" -DGNUPG_BINDIR="\"/usr/bin\"" -DGNUPG_LIBEXECDIR="\"/usr/lib/gnupg2\"" -DGNUPG_LIBDIR="\"/usr/lib/gnupg\"" -DGNUPG_DATADIR="\"/usr/share/gnupg\"" -DGNUPG_SYSCONFDIR="\"/usr/etc/gnupg\""      -I/usr/include    -DWITHOUT_GNU_PTH=1 -Wall -g -O2 -Wall -Wcast-align -Wshadow -Wstrict-prototypes -Wformat -Wno-format-y2k -Wformat-security -Wno-pointer-sign -Wpointer-arith -MT libcommon_a-estream-printf.o -MD -MP -MF .deps/libcommon_a-estream-printf.Tpo -c -o libcommon_a-estream-printf.o `test -f 'estream-printf.c' || echo './'`estream-printf.c
estream-printf.c: In function 'read_values':
estream-printf.c:711: error: wrong type argument to unary exclamation mark
make[3]: *** [libcommon_a-estream-printf.o] Error 1
make[3]: Leaving directory `/build/buildd/gnupg2-2.0.5/common'
[...]

Full log at
http://buildd.debian.org/fetch.cgi?&pkg=gnupg2&ver=2.0.5-1&arch=alpha&stamp=1186626239&file=log

The reason is

static int read_values (valueitem_t valuetable, size_t valuetable_len, va_list vaargs) {
[...]
      if (!vaargs)

"!vaargs" simply doesn't make any sense, I have no idea what it is
supposed to do. It just happens to compile on many architectures,
where va_list is a pointer.

	Falk



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: alpha

Kernel: Linux 2.6.20
Locale: LANG=C, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnupg2 depends on:
ii  libc6.1                 2.6-5            GNU C Library: Shared libraries
ii  libgcrypt11             1.2.4-2          LGPL Crypto library - runtime libr
ii  libgpg-error0           1.4-2            library for common error values an
pn  libksba8                <none>           (no description available)
ii  makedev                 2.3.1-83         creates device files in /dev
ii  zlib1g                  1:1.2.3.3.dfsg-5 compression library - runtime

Versions of packages gnupg2 recommends:
ii  gnupg                         1.4.6-2    GNU privacy guard - a free PGP rep



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#437289; Package gnupg2. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 437289@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Falk Hueffner <falk@debian.org>, 437289@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#437289: FTBFS(alpha): wrong type argument to unary exclamation mark
Date: Mon, 13 Aug 2007 22:08:10 -0400
[Message part 1 (text/plain, inline)]
forwarded 437289 https://bugs.g10code.com/gnupg/issue822
thanks

* Falk Hueffner (falk@debian.org) wrote:
> Package: gnupg2
> Version: 2.0.5-1
> Severity: serious
> Justification: no longer builds from source
> 
> [...]
> gcc -DHAVE_CONFIG_H -I. -I..  -I../gl -I../intl -DLOCALEDIR=\"/usr/share/locale\" -DGNUPG_BINDIR="\"/usr/bin\"" -DGNUPG_LIBEXECDIR="\"/usr/lib/gnupg2\"" -DGNUPG_LIBDIR="\"/usr/lib/gnupg\"" -DGNUPG_DATADIR="\"/usr/share/gnupg\"" -DGNUPG_SYSCONFDIR="\"/usr/etc/gnupg\""      -I/usr/include    -DWITHOUT_GNU_PTH=1 -Wall -g -O2 -Wall -Wcast-align -Wshadow -Wstrict-prototypes -Wformat -Wno-format-y2k -Wformat-security -Wno-pointer-sign -Wpointer-arith -MT libcommon_a-estream-printf.o -MD -MP -MF .deps/libcommon_a-estream-printf.Tpo -c -o libcommon_a-estream-printf.o `test -f 'estream-printf.c' || echo './'`estream-printf.c
> estream-printf.c: In function 'read_values':
> estream-printf.c:711: error: wrong type argument to unary exclamation mark
> make[3]: *** [libcommon_a-estream-printf.o] Error 1
> make[3]: Leaving directory `/build/buildd/gnupg2-2.0.5/common'
> [...]
> 
> Full log at
> http://buildd.debian.org/fetch.cgi?&pkg=gnupg2&ver=2.0.5-1&arch=alpha&stamp=1186626239&file=log
> 
> The reason is
> 
> static int read_values (valueitem_t valuetable, size_t valuetable_len, va_list vaargs) {
> [...]
>       if (!vaargs)
> 
> "!vaargs" simply doesn't make any sense, I have no idea what it is
> supposed to do. It just happens to compile on many architectures,
> where va_list is a pointer.

Thanks for the report. I've filed a bug upstream, and they tend to be
fairly responsive.

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

[signature.asc (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to https://bugs.g10code.com/gnupg/issue822. Request was from Eric Dorland <eric@debian.org> to control@bugs.debian.org. (Tue, 14 Aug 2007 02:12:03 GMT) Full text and rfc822 format available.

Reply sent to Eric Dorland <eric@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Falk Hueffner <falk@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 437289-close@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: 437289-close@bugs.debian.org
Subject: Bug#437289: fixed in gnupg2 2.0.6-1
Date: Tue, 04 Sep 2007 03:47:02 +0000
Source: gnupg2
Source-Version: 2.0.6-1

We believe that the bug you reported is fixed in the latest version of
gnupg2, which is due to be installed in the Debian FTP archive:

gnupg-agent_2.0.6-1_amd64.deb
  to pool/main/g/gnupg2/gnupg-agent_2.0.6-1_amd64.deb
gnupg2_2.0.6-1.diff.gz
  to pool/main/g/gnupg2/gnupg2_2.0.6-1.diff.gz
gnupg2_2.0.6-1.dsc
  to pool/main/g/gnupg2/gnupg2_2.0.6-1.dsc
gnupg2_2.0.6-1_amd64.deb
  to pool/main/g/gnupg2/gnupg2_2.0.6-1_amd64.deb
gnupg2_2.0.6.orig.tar.gz
  to pool/main/g/gnupg2/gnupg2_2.0.6.orig.tar.gz
gpgsm_2.0.6-1_amd64.deb
  to pool/main/g/gnupg2/gpgsm_2.0.6-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 437289@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eric Dorland <eric@debian.org> (supplier of updated gnupg2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 03 Sep 2007 23:29:11 -0400
Source: gnupg2
Binary: gnupg2 gpgsm gnupg-agent
Architecture: source amd64
Version: 2.0.6-1
Distribution: unstable
Urgency: low
Maintainer: Eric Dorland <eric@debian.org>
Changed-By: Eric Dorland <eric@debian.org>
Description: 
 gnupg-agent - GNU privacy guard - password agent
 gnupg2     - GNU privacy guard - a free PGP replacement
 gpgsm      - GNU privacy guard - S/MIME version
Closes: 401843 437289
Changes: 
 gnupg2 (2.0.6-1) unstable; urgency=low
 .
   * New upstream release. (Closes: #437289)
   * debian/gnupg-agent.xsession: Run the Xsession under the gpg-agent, so
     it exits properly when the session dies. (Closes: #401843)
   * debian/control: Add XS-Vcs headers for its new git home.
Files: 
 17447bbb60cf679e87a3e2c2964b253a 938 utils optional gnupg2_2.0.6-1.dsc
 be8380bfacb4028b9678a48d0e9152f7 4986194 utils optional gnupg2_2.0.6.orig.tar.gz
 edf983e241df20184482f1b305a13266 37943 utils optional gnupg2_2.0.6-1.diff.gz
 c97c119788c58c37bae4e163c6543a3f 271922 utils optional gnupg-agent_2.0.6-1_amd64.deb
 b202e6c26688a4018e9db46a66a78ac9 428974 utils optional gpgsm_2.0.6-1_amd64.deb
 32d105a5d02c0a8dd7018bdde3efcd37 1121546 utils extra gnupg2_2.0.6-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD4DBQFG3NQJYemOzxbZcMYRAtB7AJ9WTwI+MWzJLMu9l5fSojITxkjKrQCYlUfu
NRXqCcXMuZvPwhErThTqNA==
=Td3O
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 08 Oct 2007 07:32:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:55:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.